[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4688: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4690: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4691: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4692: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)
USB Stick Plugin for Total Commander (Android) • View topic - The plugin does not work reliably
Page 1 of 1

The plugin does not work reliably

PostPosted: Sun May 25, 2014 7:13 pm
by MFK
Installed test version. Plugin worked both for card reader and usb stick.
Installed regular version.
Error message
Nevertheless, suddenly it recognised the usb stick (and the card reader)
Played around a lot. Copying from card reader to device (Asus Google Nexus 7 (2013)) and from device to USB stick. Several times. Everything work.That was yesterday.
This evening: neither card reader nor USB stick recognised. several attempts. No success.

What is that ? What can I do now ?
Thanks for help
Manfred

Re: The plugin does not work reliably

PostPosted: Sun May 25, 2014 10:12 pm
by feri
There is a bug with Android 4.3, that sometimes attached USB devices are not detected.
Please use the app "OTG Troubleshooter" to test your hardware:

https://play.google.com/store/apps/deta ... oubshooter

If all four checkmarks are green, the plugin will work. :-)

Re: The plugin does not work reliably

PostPosted: Mon May 26, 2014 7:34 am
by MFK
thanks, tested it with the otg troubleshooter, cable is ok (green) but two red crosses for Linux and Android.
The weblink does not provide a solution other than recommending a specific card reader

I am at the point that I have to return the Nexus 7, or does anyone have real solution ?

It is difficult for me to understand that the plugin works on Some Nexus 7 devices but not on mine.

Any further suggestion ?
Thank you

Re: The plugin does not work reliably

PostPosted: Mon May 26, 2014 10:22 am
by feri
Try using another USB-OTG cable.
The hardware problem can also be within the cable.

Do you still have Android 4.3 (not KitKat 4.4)?
Then there is a fair chance, that it is not a hardware but an OS failure.
See here: http://code.google.com/p/android/issues/detail?id=58277

Re: The plugin does not work reliably

PostPosted: Mon May 26, 2014 1:40 pm
by MFK
Thanks, I read all of this thread and tried the suggestion.

Now did factory reset, language to US English, disabled screenlock, reloaded TC and the plugin. First use: error message "google play response: not connected" BUT it was connected. The USB file and all it's content were visible and accessible.
After reboot it still worked (so far)

BUT:
- Nexus media importer crashed immediately after connecting the USB device
- The OTG trouble shooter still shows cable ok, Linux and Android with the red cross message: Info: device code:flo hardware:flow
- Therefore I don't trust it.

Any suggestion ?

Re: The plugin does not work reliably

PostPosted: Mon May 26, 2014 6:02 pm
by feri
Hello MFK,

I would update to Android 4.4 (KitKat). That should solve your problems.

The message "google play response: not connected" can appear the first time the plugin is started.
The message is somewhat misleading. Because the license is queried asynchronous, the plugin can be faster then the licensing request.
I should work this out a little bit better. :oops:
But after you got your license, this message will never appear again. :-)

Re: The plugin does not work reliably

PostPosted: Mon May 26, 2014 7:38 pm
by MFK
Thanks, if I update to 4.4 manually (shortly checked how that can be done through the PC - and it sounds a bit complicate) would that void my right to return the device to Amazon within the 2 weeks period.

By the way: the plugin currently recognises card reader and USB sticks but when I try to copy from a card or USB stick to the device Total Commander says: "function not supported"
And: Nexus Media Importer does not crash anymore, it recognises even the USB stick and the copy function works eratically, i.e. sometimes the file gets copied and sometimes nothing happens.
What a mess.

Re: The plugin does not work reliably

PostPosted: Tue May 27, 2014 6:06 am
by MFK
Did not get the idea that the device did nor have the latest OS (it even had an old build of 4.3). At least I expected it would show that there is a newer OS, like on IOS devices.
Well, seems the update solved the problem.
Thanks for your help

Re: The plugin does not work reliably

PostPosted: Tue May 27, 2014 3:44 pm
by feri